Bids
POST
bids/{bidId}/private-attachments
Associates one or more private attachments with the specified bid and any other revisions by the bidder.
This endpoint is typically called after creating and uploading an attachment.
Resource Information
| Method and URI | POST https://developer.api.autodesk.com/construction/buildingconnected/v2/bids/{bidId}/private-attachments |
| Authentication Context | User context required |
| Required OAuth Scopes | data:write |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow. |
| Content-Type* string | Must be application/json |
* Required
Request
URI Parameters
| bidId string | The unique ID of the bid. |
Request
Body Structure
| attachmentIds* array: string | The IDs of the attachments to associate with the specified bid as private attachments. Max 50 items. |
* Required
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
| privateAttachments array: string | An array of IDs of the private files that are attached to the bid. These IDs can be used with the GET bids/:bidId/attachments/:attachmentId endpoint to obtain additional information about the file, including a signed download URL.
Max 50 attachments per bid. |
Example
OK
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/bids/:bidId/private-attachments' \
-X 'POST' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Content-Type: application/json' \
-d '{
"attachmentIds": [
"590dd127b359f408f1cbb567"
]
}'
Show More
Response
{
"privateAttachments": [
"60cea42b3934f500a8b29c7b"
]
}